#!/usr/bin/env bash
# Script from https://github.com/ThePrimeagen/.dotfiles/blob/master/bin/.local/scripts/tmux-sessionizer

if [[ $# -eq 1 ]]; then
    selected=$1
else
    selected=$(find -L ~/Nextcloud ~/.config ~/gits ~/gits/qmk_firmware/keyboards/tsousa ~/ -mindepth 1 -maxdepth 1 -type d,l | fzf)
fi

if [[ -z "$selected" ]]; then
    exit 0
fi

selected_name=$(basename "$selected" | tr . _)
tmux_running=$(pgrep tmux)


if [[ -z "$tmux_running" ]]; then
    tmux new-session -s "$selected_name" -c "$selected"
else
    if ! tmux has-session -t="$selected_name" 2> /dev/null; then
        tmux new-session -ds "$selected_name" -c "$selected"
    fi
    if [[ -z $TMUX ]]; then
        tmux attach -t "$selected_name"
    else
        tmux switch-client -t "$selected_name"
    fi
fi

